[SCM] Packaging for cctbx branch, master, updated. upstream/2012.05.08.2305-58-g7eb395b

Radostan Riedel raybuntu at googlemail.com
Mon Jul 30 19:27:11 UTC 2012


The following commit has been merged in the master branch:
commit 7eb395b2300d268d719956eeecd6994536fe82ea
Author: Radostan Riedel <raybuntu at googlemail.com>
Date:   Mon Jul 30 21:11:22 2012 +0200

    Add pkg-perl repack scripts

diff --git a/debian/copyright b/debian/copyright
index dd71b1f..60a70ad 100644
--- a/debian/copyright
+++ b/debian/copyright
@@ -1,4 +1,31 @@
-This package was downloaded from http://cctbx.sourceforge.net
+Format: http://www.debian.org/doc/packaging-manuals/copyright-format/1.0/
+Upstream-Name: CCTBX
+Upstream-Contact: Luc J. Bourhis <cctbx at cci.lbl.gov>
+                  Nathaniel Echols <cctbx at cci.lbl.gov>        
+                  Ralf W. Grosse-Kunstleve <cctbx at cci.lbl.gov>
+Source: http://cctbx.sourceforge.net
+Comment: This package was repacked to remove bundled packages and libraries
+         which are already available in Debian.
+         Following software bundles were deleted:
+            ANTLR3C,
+            Boost,
+            Clipper,
+            GL2PS,
+            SCons.
+
+Files: debian/repack.stub
+Author: Gregor Herrmann <gregoa at debian.org>
+        Nicholas Bamber <nicholas at periapt.co.uk>
+Copyright: Copyright © 2011-2012 Gregor Herrmann <gregoa at debian.org>
+           Copyright © 2011-2012 Nicholas Bamber <nicholas at periapt.co.uk>
+License: GPL-1 or Artistic
+ This document is free software; you may redistribute it and/or modify it under
+ the same terms as Perl itself.
+
+ Perl is distributed under your choice of the GNU General Public License or the
+ Artistic License. On Debian systems, the complete text of version 1 of the GNU
+ General Public License can be found in /usr/share/common-licenses/GPL-1 and the
+ Artistic License in /usr/share/common-licenses/Artistic.
 
 Files: debian/*
 Author: Baptiste Carvello <devel at baptiste-carvello.net>
diff --git a/debian/repack.local b/debian/repack.local
new file mode 100755
index 0000000..bd5d091
--- /dev/null
+++ b/debian/repack.local
@@ -0,0 +1,8 @@
+# Still untested !!!!!
+shopt -s extglob
+rm rf cctbx_sources/boost/*
+rm rf cctbx_sources/clipper/!(clipper)
+rm rf cctbx_sources/clipper/clipper/!(cctbx)
+rm rf cctbx_sources/scons/*
+rm rf cctbx_sources/ucif/antlr3
+rm rf cctbx_sources/gui_resources/gl2ps
diff --git a/debian/repack.stub b/debian/repack.stub
new file mode 100755
index 0000000..76b65bd
--- /dev/null
+++ b/debian/repack.stub
@@ -0,0 +1,82 @@
+#!/bin/sh
+
+: <<=cut
+=pod
+
+=head1 NAME
+
+repack.stub - script to repack upstream tarballs from uscan
+
+=head1 INSTRUCTIONS
+
+put this in debian/repack.stub and add "debian sh debian/repack.stub" to
+the end of the line in debian/watch. you will also need to add a version
+mangle to debian/watch.
+
+then create a debian/repack.local. this is a shell script that is
+sourced under "set -e", so be careful to check returns codes.
+
+=head1 FUNCTIONS
+
+=over 4
+
+=item rm
+
+rm is replaced by a function that does some magic ("rm -rv" by default), but also changes MANIFEST if $MANIFEST is 1
+
+=item mv
+
+mv is replaced by a function that just does mv (by default), but also changes MANIFEST if $MANIFEST is 1
+
+=item requires_version
+
+requires_version is there for future usage for requiring certain versions of the script
+
+=back
+
+=head1 VARIABLES
+
+=over 4
+
+=item SUFFIX
+
+defaults to +dfsg
+
+what to append to the upstream version
+
+=item RM_OPTS
+
+defaults to -vrf
+
+options to pass to rm
+
+=item MANIFEST
+
+defaults to 0, set to 1 to turn on.
+
+this will manipulate MANIFEST files in CPAN tarballs.
+
+=item UP_BASE
+
+this is the directory where the upstream source is.
+
+=back
+
+=cut
+
+if [ -z "$REPACK_SH" ]; then
+    if [ -f ../../scripts/repack.sh ]; then
+        REPACK_SH=../../scripts/repack.sh
+    fi
+    if [ -z "$REPACK_SH" ] && which repack.sh > /dev/null; then
+        REPACK_SH=$(which repack.sh)
+    fi
+fi
+
+if [ ! -f "$REPACK_SH" ]; then
+    echo "Couldn't find a repack.sh. please put it in your PATH, put it at ../../scripts/repack.sh, or put it somewhere else and set the REPACK_SH variable"
+    echo "You can get it from http://anonscm.debian.org/gitweb/?p=pkg-perl/scripts.git;a=blob_plain;f=repack.sh;hb=HEAD"
+    exit 1
+fi
+
+exec "$REPACK_SH" "$@"
diff --git a/debian/watch b/debian/watch
index 9dc1ae2..6105813 100644
--- a/debian/watch
+++ b/debian/watch
@@ -1,3 +1,4 @@
 version=3
-opts="downloadurlmangle=s/$/cctbx_bundle.tar.gz/,filenamemangle=s/\/$/.tar.gz/,uversionmangle=s/_/./g" \
-http://cci.lbl.gov/cctbx_build/results/ ([0-9]{4}_[0-9]{2}_[0-9]{2}_[0-9]{4})/
+opts="downloadurlmangle=s/$/cctbx_bundle.tar.gz/,filenamemangle=s/\/$/.tar.gz/,uversionmangle=s/_/./g,dversionmangle=s/\+dfsg//" \
+http://cci.lbl.gov/cctbx_build/results/ ([0-9]{4}_[0-9]{2}_[0-9]{2}_[0-9]{4})/ \
+debian sh debian/repack.stub

-- 
Packaging for cctbx



More information about the debian-science-commits mailing list